<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
	{{ 'generate.title' | translate }}
</h1>
<p class="mb-4">
	{{ 'generate.instruction' | translate }}
</p>


<sdm-page-actions>
	<i onReady aria-hidden="true" class="bi bi-arrow-right-circle"></i>
	<p onReady>
		{{ 'generate.pageActions.instruction' | translate }}
	</p>
	<button onReady (click)="generate()" class="btn btn-primary" type="button">
		{{ 'generate.pageActions.generate' | translate }}
	</button>

	<p onProgress class="spinner">
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">
		{{ 'common.loading' | translate }}
	  </span>
	</p>
	<p onProgress>
		{{ 'generate.pageActions.inProgress' | translate }}
	</p>

	<p onError>
		{{ 'generate.pageActions.error' | translate }}
	</p>
	<button onError (click)="generate()" class="btn btn-primary" type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'generate.pageActions.generate' | translate }}
	</button>

	<i onComplete aria-hidden="true" class="bi bi-check-circle"></i>
	<p onComplete>
		{{ 'generate.pageActions.processCompleted' | translate }}
	</p>
	<button onComplete class="btn btn-primary" sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress/>